package odbc

import (
	"fmt"
	"path/filepath"

	ucfg "github.com/wecisecode/util/cfg"
	ulog "github.com/wecisecode/util/logger"
)

var DefaultAppName = "cgimport"

var Config = ucfg.MConfig(&ucfg.CfgOption{
	Name: "m:default",
	Type: ucfg.INI_TEXT,
	Values: []string{`
[log]
level=info
dir=` + filepath.Join("/", "opt", "matrix", "var", "logs") + `
file=` + filepath.Join(DefaultAppName, "log.log") + `
console=true
color=true
consolelevel=info
format=yyyy-MM-dd HH:mm:ss.SSSSSS [level] msg
eol=\n
size=10MB
count=100
scroll=1d
expire=14d
`}},
	ucfg.GetIniFileCfgOption(filepath.Join(fmt.Sprint(DefaultAppName, ".conf"))),
	ucfg.CFGOPTION_ENVS,
	ucfg.CFGOPTION_ARGS)

var Logger = ulog.New().WithConfig(Config, "log")
var LogFile = Logger.FileOutPath()
var LogDebug = Logger.FileOutLevel() <= ulog.DEBUG

const (
	DP_READFILE = 1 << iota
	DP_PROCESSCONTINUE
	DP_PARSESTRUCT
	DP_CREATECLASS
	DP_INSERTDATA
)

var DevPhase = DP_READFILE | DP_PROCESSCONTINUE | DP_PARSESTRUCT | DP_CREATECLASS | DP_INSERTDATA

var mcfg = Config
